## org.apache.xerces.xni.parser
Interface XMLDTDSource

All Known Subinterfaces:
  XMLDTDFilter, XMLDTDScanner

    public interface XMLDTDSource

Defines a DTD source. In other words, any object that implements this interface is able to emit DTD "events" to the registered DTD handler. These events could be produced by parsing an XML document's internal or external subset, could be generated from some other source, or could be created programmatically. This interface does not say how the events are created, only that the implementor is able to emit them.

Version:
  $Id: XMLDTDSource.java 319806 2004-02-24 23:15:58Z mrglavas $
Author:
  Andy Clark, IBM

Method Summary
`XMLDTDHandler` `getDTDHandler()` Returns the DTD handler.
`void` `setDTDHandler(XMLDTDHandler handler)` Sets the DTD handler.

Method Detail

### setDTDHandler

    void setDTDHandler(XMLDTDHandler handler)

  Sets the DTD handler.

### getDTDHandler

    XMLDTDHandler getDTDHandler()

  Returns the DTD handler.

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.